Bug 1057340 - rpm macros for golang
Summary: rpm macros for golang
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Vincent Batts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-23 21:01 UTC by Vincent Batts
Modified: 2014-05-21 12:41 UTC (History)
8 users (show)

Fixed In Version: golang-1.2.2-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-21 02:36:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Vincent Batts 2014-01-23 21:01:32 UTC
include in the golang rpm an /etc/rpm/macros.golang for defining %gopath such that it is a system definition.
There may be other rpm automations to add as well. Ideally a post script for __spec_install_post that could produce Provides: and Requires: of the golang() libraries exported and imported.

Comment 1 Vincent Batts 2014-04-10 21:08:16 UTC
as an update, this will be included in >= golang-1.2.1-4, which I am still ironing out all the changes that will be included.

Comment 2 Fedora Update System 2014-05-14 18:17:37 UTC
golang-1.2.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-1.2.2-2.el6

Comment 3 Fedora Update System 2014-05-14 18:18:25 UTC
golang-1.2.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-1.2.2-2.fc20

Comment 4 Fedora Update System 2014-05-14 18:19:28 UTC
golang-1.2.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-1.2.2-2.fc19

Comment 5 Fedora Update System 2014-05-16 03:01:19 UTC
Package golang-1.2.2-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing golang-1.2.2-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1416/golang-1.2.2-2.el6
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-05-20 13:55:44 UTC
golang-1.2.2-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-1.2.2-3.el6

Comment 7 Fedora Update System 2014-05-21 02:36:51 UTC
golang-1.2.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-05-21 12:41:22 UTC
golang-1.2.2-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-1.2.2-6.fc19


Note You need to log in before you can comment on or make changes to this bug.